Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055720 - [ARM] supermin cannot locate dtb when using SUPERMIN_KERNEL
Summary: [ARM] supermin cannot locate dtb when using SUPERMIN_KERNEL
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: supermin
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 19:53 UTC by Richard W.M. Jones
Modified: 2016-06-15 12:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-15 12:57:57 UTC


Attachments (Terms of Use)

Description Richard W.M. Jones 2014-01-20 19:53:12 UTC
Description of problem:

If you use use SUPERMIN_KERNEL to point to a kernel in /boot, eg:

export SUPERMIN_KERNEL=/boot/vmlinuz-3.11.0-301.fc20.armv7hl

then supermin hard links the kernel to the target, but subsequently
cannot work out how to locate the dtb.

The error is:

supermin-helper: using environment variable(s) SUPERMIN_* to
select kernel /boot/vmlinuz-3.11.0-301.fc20.armv7hl
supermin-helper: failed to find a dtb (device tree) directory.
I expected to take '/home/rjones/d/libguestfs/tmp/guestfs.5XNHUW/kernel'
and replace vmlinuz- with dtb- to form a directory.
You can set SUPERMIN_DTB to point to the dtb *file* that should
be used.
libguestfs: error: supermin-helper exited with error status 1, see debug messages above

The precise supermin command which libguestfs runs is:

command was:
libguestfs: command: run: supermin-helper
libguestfs: command: run: \ --verbose
libguestfs: command: run: \ --copy-kernel
libguestfs: command: run: \ -f ext2
libguestfs: command: run: \ --host-cpu armv7l
libguestfs: command: run: \ --dtb vexpress*a15-tc1.dtb
libguestfs: command: run: \ /home/rjones/d/libguestfs/appliance/supermin.d
libguestfs: command: run: \ --output-kernel /home/rjones/d/libguestfs/tmp/guestfs.5XNHUW/kernel
libguestfs: command: run: \ --output-dtb /home/rjones/d/libguestfs/tmp/guestfs.5XNHUW/dtb
libguestfs: command: run: \ --output-initrd /home/rjones/d/libguestfs/tmp/guestfs.5XNHUW/initrd
libguestfs: command: run: \ --output-appliance /home/rjones/d/libguestfs/tmp/guestfs.5XNHUW/root

Version-Release number of selected component (if applicable):

supermin 4.1.6

Comment 1 Richard W.M. Jones 2014-01-20 19:54:19 UTC
You can work around this by setting SUPERMIN_DTB as well,
but supermin has enough information to work out how to
do this on its own.

Comment 2 Jaroslav Reznik 2015-03-03 15:24:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Richard W.M. Jones 2016-06-15 12:57:57 UTC
Closing since we no longer use an explicit DTB, but use the one
which is generated by QEMU.


Note You need to log in before you can comment on or make changes to this bug.